Name:		gdisk
Version:	1.0.4
Release:	%mkrel 1
Summary:	An fdisk-like partitioning tool for GPT disks
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://www.rodsbooks.com/gdisk
Source0:	http://downloads.sourceforge.net/gptfdisk/gptfdisk-%{version}.tar.xz
Patch1:		gptfdisk-0.8.10-ncurses.patch
Provides:	gptfdisk = %{version}
#------------------------------------
BuildRequires: 	libuuid-devel
BuildRequires: 	libpopt-devel
BuildRequires:	ncurses-devel
BuildRequires:	libncursesw-devel
#-----------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
An fdisk-like partitioning tool for GPT disks. GPT
fdisk features a command-line interface, fairly direct
manipulation of partition table structures, recovery
tools to help you deal with corrupt partition tables,
and the ability to convert MBR disks to GPT format.


%prep
%setup -q -n gptfdisk-%{version}
%apply_patches

%build
make CXX="g++ %{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}/%{_sbindir}
install -Dp -m0755 gdisk %{buildroot}/%{_sbindir}
install -Dp -m0755 sgdisk %{buildroot}/%{_sbindir}
install -Dp -m0644 gdisk.8 %{buildroot}/%{_mandir}/man8/gdisk.8
install -Dp -m0644 sgdisk.8 %{buildroot}/%{_mandir}/man8/sgdisk.8

%files
%doc NEWS COPYING README
%{_sbindir}/gdisk
%{_sbindir}/sgdisk
%{_mandir}/man8/*


%changelog
* Mon Dec 10 2018 adrianomorselli <adrianomorselli> 1.0.4-1uplos2018
- update
